curl --request POST \
--url https://api.firecrawl.dev/v2/extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"enableWebSearch": false,
"ignoreInvalidURLs": true,
"ignoreSitemap": false,
"includeSubdomains": true,
"prompt": "<string>",
"schema": {},
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": true,
"excludeTags": [
"<string>"
],
"formats": [
"markdown"
],
"headers": {},
"includeTags": [
"<string>"
],
"location": {
"country": "US",
"languages": [
"en-US"
]
},
"lockdown": false,
"maxAge": 172800000,
"minAge": 123,
"mobile": false,
"onlyCleanContent": false,
"onlyMainContent": true,
"parsers": [
"pdf"
],
"proxy": "auto",
"redactPII": false,
"removeBase64Images": true,
"skipTlsVerification": true,
"storeInCache": true,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
},
"timeout": 60000,
"waitFor": 0
},
"showSources": false,
"threatProtection": {
"blacklist": [
"<string>"
],
"blockedTlds": [
"<string>"
],
"riskScoreThreshold": 75,
"whitelist": [
"<string>"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v2/extract"
payload = {
"urls": ["<string>"],
"enableWebSearch": False,
"ignoreInvalidURLs": True,
"ignoreSitemap": False,
"includeSubdomains": True,
"prompt": "<string>",
"schema": {},
"scrapeOptions": {
"actions": [
{
"milliseconds": 2,
"type": "wait"
}
],
"blockAds": True,
"excludeTags": ["<string>"],
"formats": ["markdown"],
"headers": {},
"includeTags": ["<string>"],
"location": {
"country": "US",
"languages": ["en-US"]
},
"lockdown": False,
"maxAge": 172800000,
"minAge": 123,
"mobile": False,
"onlyCleanContent": False,
"onlyMainContent": True,
"parsers": ["pdf"],
"proxy": "auto",
"redactPII": False,
"removeBase64Images": True,
"skipTlsVerification": True,
"storeInCache": True,
"threatProtection": {
"blacklist": ["<string>"],
"blockedTlds": ["<string>"],
"riskScoreThreshold": 75,
"whitelist": ["<string>"]
},
"timeout": 60000,
"waitFor": 0
},
"showSources": False,
"threatProtection": {
"blacklist": ["<string>"],
"blockedTlds": ["<string>"],
"riskScoreThreshold": 75,
"whitelist": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
enableWebSearch: false,
ignoreInvalidURLs: true,
ignoreSitemap: false,
includeSubdomains: true,
prompt: '<string>',
schema: {},
scrapeOptions: {
actions: [{milliseconds: 2, type: 'wait'}],
blockAds: true,
excludeTags: ['<string>'],
formats: ['markdown'],
headers: {},
includeTags: ['<string>'],
location: {country: 'US', languages: ['en-US']},
lockdown: false,
maxAge: 172800000,
minAge: 123,
mobile: false,
onlyCleanContent: false,
onlyMainContent: true,
parsers: ['pdf'],
proxy: 'auto',
redactPII: false,
removeBase64Images: true,
skipTlsVerification: true,
storeInCache: true,
threatProtection: {
blacklist: ['<string>'],
blockedTlds: ['<string>'],
riskScoreThreshold: 75,
whitelist: ['<string>']
},
timeout: 60000,
waitFor: 0
},
showSources: false,
threatProtection: {
blacklist: ['<string>'],
blockedTlds: ['<string>'],
riskScoreThreshold: 75,
whitelist: ['<string>']
}
})
};
fetch('https://api.firecrawl.dev/v2/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"invalidURLs": [
"<string>"
],
"success": true
}{
"error": "Invalid input data."
}{
"error": "An unexpected error occurred on the server."
}Extraction
Êtes-vous un agent d’IA ayant besoin d’une clé API Firecrawl ? Consultez firecrawl.dev/agent-onboarding/SKILL.md pour obtenir des instructions d’intégration automatisée.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
Les URL à partir desquelles extraire les données. Les URL doivent être au format glob.
Lorsque ce paramètre est défini sur true, l’extraction utilisera la recherche web pour trouver des données supplémentaires
Si des URL invalides sont spécifiées dans le tableau urls, elles seront ignorées. Plutôt que de faire échouer l’intégralité de la requête, une extraction sera effectuée en utilisant les URL valides restantes, et les URL invalides seront renvoyées dans le champ invalidURLs de la réponse.
Lorsque cette option est activée, les fichiers sitemap.xml sont ignorés lors de l’analyse du site web
Lorsque cette option est activée, les sous-domaines des URL fournies sont également analysés
Prompt pour orienter le processus d’extraction
Schéma définissant la structure des données extraites. Doit être conforme à JSON Schema.
Show child attributes
Show child attributes
Lorsque la valeur est true, les sources utilisées pour extraire les données sont incluses dans la réponse sous la clé sources.
Dérogation Protection contre les menaces au niveau de la requête. Les champs que vous fournissez remplacent les champs correspondants de la politique de votre organisation pour cette requête uniquement ; les champs omis conservent leurs valeurs définies au niveau de l'organisation. La Protection contre les menaces doit être activée pour votre équipe (fonctionnalité Enterprise) ; sinon, la requête est rejetée avec un code 403. Si votre organisation a désactivé les dérogations par requête, toute requête qui inclut cet objet est rejetée avec un code 403. Si la Protection contre les menaces est appliquée à votre équipe, mode ne peut pas être défini sur off.
Show child attributes
Show child attributes
Réponse
Extraction réussie

